# Interface TaskData

interface TaskData {
codeImportedAsCode ?: boolean;
replaceUnderscoresWithSpaces ?: boolean;
safeImport ?: boolean;
shrinkImages ?: boolean;
textImportedAsText ?: boolean;
}

- Defined in src/services/task_context_interface.ts:1

##### Index

### Properties

codeImportedAsCode?
replaceUnderscoresWithSpaces?
safeImport?
shrinkImages?
textImportedAsText?

## Properties

### `Optional` codeImportedAsCode

codeImportedAsCode?: boolean

- Defined in src/services/task_context_interface.ts:4

### `Optional` replaceUnderscoresWithSpaces

replaceUnderscoresWithSpaces?: boolean

- Defined in src/services/task_context_interface.ts:6

### `Optional` safeImport

safeImport?: boolean

- Defined in src/services/task_context_interface.ts:2

### `Optional` shrinkImages

shrinkImages?: boolean

- Defined in src/services/task_context_interface.ts:5

### `Optional` textImportedAsText

textImportedAsText?: boolean

- Defined in src/services/task_context_interface.ts:3